import React, {useState, useEffect} from 'react';
import { OrderService } from 'services';
import {OrderShowDetails} from 'components';
import { Order, Product } from 'Order';

const OrderShowPage = (props: any) => {
    const location = parseInt(props.match.params.id);
    const [order, setOrder] = useState<Order>();
    const [products, setProducts] = useState<Product[]>()
    useEffect(() => {
        OrderService.orderById(location).then((res: any) => {
            setOrder(res);
            setProducts(res.orderItems);
        })
    })

    if (!order) {
        return(<></>);
    }

    return (
        <>
            <span>
                <h3>Order Date: {order.date}</h3>
                <h3>Order Number: {order.orderNumber}</h3>
                <h3>Order Status: Fulfilled</h3>
            </span>
            
            <OrderShowDetails products={products}/>
        </>
    )
}

export default OrderShowPage
